Shawn M Moore > Jifty-1.10518 > Jifty::Plugin::Compat

Download:
Jifty-1.10518.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  13
Open  4
Stalled  1
View/Report Bugs
Source  

NAME ^

Jifty::Plugin::Compat - Provide Jifty API compatibility

SYNOPSIS ^

# In your jifty config.yml under the framework section:

  Plugins:
    - Compat: {}

DESCRIPTION ^

This plugin provides Jifty API compatibility.

ConfigVersion VERSION 5

Provides Jifty::Handler->apache for apps prior to ConfigFileVersion 5.

TODO: this should also rebind STDIN/STDOUT in the per-request hook.

METHODS ^

wrap APP

Wraps the provided Plack app in the compatibility layer. You'll never need to call this yourself.

syntax highlighting: